Arch: Axis/Архитектура Оси

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Axis and the translation is 37% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎українська
Arrow-left.svg Previous: Arch CompAxis.png Arch CompAxis

Arch Axis.svg Arch Axis

Расположение в меню
Arch → Axis
Верстаки
Arch
Быстрые клавиши
A X
Представлено в версии
-
См. также
Axis System


Описание

Инструмент Оси позволяет разместить набор осей в текущем документе. Расстояние и угол между осями настраиваются, так же как и стиль нумерации. Главным образом Оси служат как объекты привязки, но так же могут использоваться совместно с инструментом Axis Systems и могут ссылаться на другие объекты Архитектуры для создания параметрических массивов, например балок или столбов.

Arch Axis example.jpg

На изображении выше показаны два разных объекта осей, расположенных перпендикулярно друг другу

Использование

  1. Нажмите Arch Axis.png Arch Axis кнопку, или сочетание клавиш A потом X
  2. Передвиньте/Поверните систему осей в нужное положение
  3. Войдите в режим редактирования, дважды кликнув по системе осей в дереве объектов, что бы настроить их параметры, такие как количество осей, расстояние и углы между осями.

Параметры

  • Каждая ось в ряду имеет свое собственное расстояние и угол наклона относительно предыдущей оси. Это позволяет создавать очень сложные системы, такие как неортогональные системы, полярные системы или любые неравномерные системы
  • Двойной клик по системе осей в дереве объектов позволяет редактировать расстояния, углы и метки каждой оси
  • Длина осей, размер кружков и стиль нумерации настраиваются непосредственно через свойства системы осей
  • Каждая ось может отображать метку, которая так же настраивается в диалоговом окне панели задач

Свойства

  • DATALength: Длина осей
  • VIEWBubble Size: Размер кружков осей
  • VIEWNumeration style: Как оси будут пронумерованы: 1,2,3, A,B,C, etc...
  • VIEWBubble Position: В каком месте оси кружек будет располагаться: В начальной точке, в конечной, обоих или нигде.
  • VIEWFont Name: Шрифт отображающий номер в кружочке или/и метки
  • VIEWFont Size: Размер текстовых меток (размер текста в кружечках контролирует размер кружечков осей)
  • VIEWShow Labels: Включает/отключает отображение текстовых меток

Скрипты

The Axis tool can be used in macros and from the Python console by using the following function:

Axes = makeAxis(num=5, size=1000, name="Axes")
  • Creates an Axes object from the given number (num) of axes, and size, the interval between each axis.

Example:

import Draft, Arch

Axes = Arch.makeAxis(5, 1000)

Axes.ViewObject.LineWidth = 3
Axes.ViewObject.BubbleSize = 200
Axes.ViewObject.FontSize = 150

Axes2 = Arch.makeAxis(6, 500)

Axes2.ViewObject.LineWidth = 2
Axes2.ViewObject.BubbleSize = 200
Axes2.ViewObject.FontSize = 150
Axes2.ViewObject.NumberingStyle = "A,B,C"
FreeCAD.ActiveDocument.recompute()

Axes2.Length = 6000
Draft.rotate(Axes2, -90)
Draft.move(Axes2, FreeCAD.Vector(-1000, 2500, 0))
FreeCAD.ActiveDocument.recompute()